Closed Bug 1202514 Opened 6 years ago Closed 6 years ago

Launch Chatzilla fails with error message

Categories

(SeaMonkey :: General, defect)

SeaMonkey 2.35 Branch
Unspecified
Windows 10
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED WORKSFORME

People

(Reporter: stefan.blumenrath, Unassigned)

Details

User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:38.0) Gecko/20100101 Firefox/38.0 SeaMonkey/2.35
Build ID: 20150827182544

Steps to reproduce:

Try to open Chatzilla (with the icon in the status bar)


Actual results:

Seamonkey freezes for a moment, a window prompts with the following lines:

NS_ERROR_NOT_AVAILABLE: Cannot call openModalWindow on a hidden window @ <resource://gre/components/nsPrompter.js> 357undefined
+ QueryInterface (function) 3 lines
+ message (string) 'Cannot call openModalWindow on a hidden window'
+ result (number) 2147746065
+ name (string) 'NS_ERROR_NOT_AVAILABLE'
+ filename (string) 'resource://gre/components/nsPrompter.js'
+ lineNumber (number) 357
+ columnNumber (number) 0
+ location (object)
+ inner (object) null
+ data (object) null
*

Chatzilla windows opens but is broken - unusable


Expected results:

Chatzilla should have started.
OS: Unspecified → Windows 10
NOT reproducible        REPRODUCIBLE with German SeaMonkey 2.35 (Windows NT 6.1; WOW64; rv:38.0)  Gecko/20100101 Build 20150827182544 (Classic Theme) on German WIN7 64bit

Possible Duplicates: 
<https://bugzilla.mozilla.org/buglist.cgi?cmdtype=dorem&remaction=run&namedcmd=DUPs1202514WIN&sharer_id=41036&list_id=12531373>

@reporter:
a) From what SeaMonkey version did you update to 2.35?
b) Did Chatzilla work for you with that older Version (with WIN 10)?
e) Can you please do some additional routine tests (although I doubt that that will
   heal the problem:
e1) Try without extensions and Language packs (except Chatzilla, of course)
e2) Try with newly created profile
e3) Try with other theme
Flags: needinfo?(stefan.blumenrath)
Summary: Chatzilla is broken in 2.35 → Launch Chatzilla fails with error message
Comment 1:
It is "NOT reproducible"
a) 2.33b
b) yes
e1) no extensions - no change but: English language pack: WFM
e2) no change
e3) no change

conclusion: language pack broken
Flags: needinfo?(stefan.blumenrath)
OK - after installing 2.38b1 I realized, that the german Chatzilla language pack is marked as not working (I admit, I disabled compatibility check for 2.35 long time ago).
So 2.38b1 works fine with german SM and english CZ
Due to Fix in 2.37 for "Bug 1084258 - Language pack compatibility should be bound to Gecko branch, else undefined entity errors possible" I wonder how this problem could appear, normally SM should switch Language packs with wrong Version to inactive. 

@stefan.blumenrath:
Did you do any manual activation or do you have an other explication why your Language Pack with wrong version still was inactive?
To make things clear:
I had extensions.checkCompatibility.2.35 set to false, so I guess chatzilla language pack was active due to this.
After installing 2.38b1 the compatibility check inactivated the chatzilla language pack.
Status: UNCONFIRMED → RESOLVED
Closed: 6 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.